## net.sf.statcvs.pages
Interface MarkupSyntax

All Known Implementing Classes:
  MarkupHTML, MarkupXDoc, MarkupXML

    public interface MarkupSyntax

Version:
  $Id: MarkupSyntax.java,v 1.3 2008/06/25 20:46:43 benoitx Exp $
Author:
  Benoit Xhenseval, Richard Cyganiak (richard@cyganiak.de)

Method Summary
`String` `endSection1()`
`String` `endSection2()`
`String` `getEndOfPage()`
`String` `getExtension()` Extension for report pages, e.g.
`String` `getHeader(String pageName, String stylesheetURL, String charSet)`
`String` `getTableFormat()`
`String` `startSection1(String title)`
`String` `startSection2(String title)`
`String` `startSection2(String title, String id)`

Method Detail

### getExtension

    String getExtension()

  Extension for report pages, e.g. `html`

### getHeader

    String getHeader(String pageName,
                     String stylesheetURL,
                     String charSet)

### getEndOfPage

    String getEndOfPage()

### startSection1

    String startSection1(String title)

### endSection1

    String endSection1()

### startSection2

    String startSection2(String title)

### startSection2

    String startSection2(String title,
                         String id)

### endSection2

    String endSection2()

### getTableFormat

    String getTableFormat()